Core - Bug # 57038

Status: Closed Priority: Must have
Author: d.ros no-lasthame-given Category: Install Tool
Created: 2014-03-18 Assigned To:

Updated: 2014-03-18 Due date:

TYPO3 Version: 6.2

PHP Version: 5.5

Complexity:

Is Regression: No

Sprint Focus:

Subject: Cannot install 6.2 beta7 anymore from GIT

Description

Since today | face:

Fatal error: Uncaught exception 'RuntimeException’ with message 'Could not acquire lock for ClassLoader cache creation.' in
/var/www/web1/html/subdomains/playground_62/TYPO3.CMS/typo3/sysext/core/Classes/Core/ClassLoader.php:704 Stack
trace: #0
/var/www/web1/html/subdomains/playground_62/TYPO3.CMS/typo3/sysext/core/Classes/Core/ClassLoader.php(230):
TYPO3\CMS\Core\Core\ClassLoader->acquireLock() #1
/var/www/web1/html/subdomains/playground_62/TYPO3.CMS/typo3/sysext/core/Classes/Core/ClassLoader.php(171):
TYPO3\CMS\Core\Core\ClassLoader->buildCachedClassLoadinglnformation('typo3_cms_core_...", " TYPO3\CMS\Core\...") #2
[internal function]: TYPO3\CMS\Core\Core\ClassLoader->loadClass('TYPO3\CMS\Core\...") #3
/var/www/web1/html/subdomains/playground_62/TYPO3.CMS/typo3/sysext/core/Classes/Core/Bootstrap.php(313):
spl_autoload_call('TYPO3\CMS\Core\...") #4
/var/www/web1/html/subdomains/playground_62/TYPO3.CMS/typo3/sysext/core/Classes/Core/Bootstrap.php(233):
TYPO3\CMS\Core\Core\Bootstrap->initializePackageManagement('TYPO3\CMS\C in
/var/www/web1/html/subdomains/playground_62/TYPO3.CMS/typo3/sysext/core/Classes/Core/ClassLoader.php on line 704

after calling ~/typo3/install on a fresh git install with:
wdir=~/html/subdomains/playground_62/
cd $wdir
git clone git://git.typo3.org/Packages/TYPO3.CMS.git --depth 1
In -s TYPO3.CMS typo3_src
In -s typo3_src/index.php
In -s typo3_src/typo3
find . -type f -exec chmod 644 {} \;

find . -type d -exec chmod 755 {} \;

running on master branch seeing only commit 1e2598a0c99e53eca21b693c7dfd7e712891ed96 from 10.03.2014

git log
commit 1e2598a0c99e53eca21b693c7dfd7e712891ed96
Author: Alexander Stehlik <alexander.stehlik@googlemail.com>

2015-08-04 12




Date: Mon Mar 10 10:00:39 2014 +0100

when pushing

git history

but should be something more recent.

also a rebase fails to update as with

git rebase master
Current branch master is up to date.

| put it to "Install Tool" as it is a kind of installation task.

Related issues:

duplicates Core - Bug # 57008: New Installation: Could not acquire lock for C...

Resolved

2014-03-17

History

#1 - 2014-03-18 14:22 - d.ros no-lastname-given

1. Correction

the commit seems to be OK. Just had an eye on the creation date. Not on the commit date.

But the error remains.

#2 - 2014-03-18 14:27 - d.ros no-lasthame-given

1. psuhing a checkout solves this

git checkout TYPO3_6-2-Obeta7

#3 - 2014-03-18 15:26 - Markus Klein

- Status changed from New to Closed

Duplicates #57008

#4 - 2014-03-18 15:27 - Markus Klein

- Target version deleted (next-patchlevel)
